import { Hex } from "./hexgrid";
import type { Building, BuildingSource } from "./types";


let uid = 0;


export function createBuilding(building: BuildingSource): Building {
    return {
        ...building,
        id: uid++,
        level: 1,
        tile: new Hex(0, 0),
    };
}
